import 'package:json_annotation/json_annotation.dart';

// import "LedgerDef.dart" show HistoAction;

part 'IR5PointageConso.g.dart';

/** Histo aka Big Book */
// --------------------------------------------------------------------------------
@JsonSerializable(explicitToJson: true)
class IR5PointageConso {
  IR5PointageConso({
    this.PLU,
    this.Action,
    this.Tariff,
    this.TypeTVA,
    this.TauxTVA,
    this.NomPLU,
    this.NomProd,
    this.NomAdd,
    this.Categorie,
    this.CategNom,
    this.Desti,
    this.NonFood,
    this.External,
    this.Details,
    this.TariffPrice,
    this.UnitPrice,
    this.Quantity,
    this.TotalTTC,
    this.TotalBase,
  });

  factory IR5PointageConso.fromJson(Map<String, dynamic>? json) => _$IR5PointageConsoFromJson(json ?? {});
  Map<String, dynamic> toJson() => _$IR5PointageConsoToJson(this);

  final String? PLU;
  final String? Action;
  final num? Tariff;
  final num? TypeTVA;
  final num? TauxTVA;
  final String? NomPLU;
  final String? NomProd;
  final String? NomAdd;
  final String? Categorie;
  final String? CategNom;
  final num? Desti;
  final bool? NonFood;
  final bool? External;
  final List<IR5PointageConso>? Details;
  final num? TariffPrice;
  final num? UnitPrice;
  final num? Quantity;
  final num? TotalTTC;
  final num? TotalBase;
}
